Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List item families

Returns a list of item families satisfying all the conditions specified in the filter parameters below. The list is sorted by date of creation, in descending order.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/item_families

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

The identifier for the item family. It is unique and immutable. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "family-id"

Supported operators: is, is_not, starts_with, in, not_in
Example family-id
name[<operator>]

optional, string filter

A unique display name for the item family. This is visible only in Chargebee and not to customers. Supported operators : is, is_not, starts_with

Example → name[is_not] = "family-name"

Supported operators: is, is_not, starts_with
Example family-name
updated_at[<operator>]

optional, timestamp(UTC) in seconds filter

When the item family was last updated. Supported operators : after, before, on, between

Example → updated_at[before] = "1243545465"

Supported operators: after, before, on, between
Example 1243545465
business_entity_id[<operator>]

optional, string filter

The unique ID of the business entity of this item_family. Learn more about all the scenarios before using this filter.

Supported operators : is, is_present

Example → business_entity_id[is_present] = "true"

Supported operators: is_present, is
Example business_entity_id
include_site_level_resources[<operator>]

optional, boolean filter

Default value is true . To exclude site-level resources in specific cases, set this parameter to false. Possible values are : true, false

Supported operators : is

Example → include_site_level_resources[is] = "null"

Supported operators: is

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Item family object
Resource object representing item_family